| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfNWCPS Struct Reference
Endpoint Profile Features

Network Wide Call Park to Server. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
xsd__string | ParkingLotName
| The name of the parking lot to which CPS service will be applied. More...
xsd__boolean * | ParkingAllowed
| When set to true, the administrator is able to park the call to server. More...
xsd__boolean * | RetrievalAllowed
| When set to true, the administrator is able to retrieve a previously parked call. More...

## Detailed Description

Network Wide Call Park to Server.

This feature provides users outside the Openscape Voice with the capability of parking and retrieving calls to/from a central parking lot. Prerequisites/Restrictions:

- Setting both fields Parking allowed and Retrieval allowed to false is not allowed.
- Network Wide Call Park to Server is only applicable to endpoint profiles that are assigned to private numbering plans. Any attempt to assign it to E164NANP endpoint profile issues an error.
- Network Wide Call Park to Server is only applicable to an endpoint profile that is inside a business group.

Validation for inappropriate combinations of Business groups and Parking Lots are performed before assigning the feature.
MP2 command: CFNWCPS [Attributes]

## Member Data Documentation

## ◆ ParkingAllowed

xsd__boolean* unsp__CfNWCPS::ParkingAllowed

When set to true, the administrator is able to park the call to server.

required: false
default value[range]: true

## ◆ ParkingLotName

xsd__string unsp__CfNWCPS::ParkingLotName

The name of the parking lot to which CPS service will be applied.

required: true
default value[range]: NA

## ◆ RetrievalAllowed

xsd__boolean* unsp__CfNWCPS::RetrievalAllowed

When set to true, the administrator is able to retrieve a previously parked call.

required: false
default value[range]: true

## ◆ Subscribed

enum unsp__Subscribed unsp__CfNWCPS::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h